﻿using CoreLibrary.Events;
using CoreLibrary.Manager;
using Microsoft.Extensions.Logging;

namespace MauiSpark
{
    public static class MauiProgram
    {
        public static Manager Manager { get; private set; } = new Manager();

        public static MauiApp CreateMauiApp()
        {
            Manager.Charger();
            Manager.Partie.Jouer();

            Manager.Partie.DemanderJoueur += (Object? sender, DemanderJoueurEventArgs e) => null;

            var builder = MauiApp.CreateBuilder();
            builder
                .UseMauiApp<App>()
                .ConfigureFonts(fonts =>
                {
                    fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
                    fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
                });

#if DEBUG
    		builder.Logging.AddDebug();
#endif

            return builder.Build();
        }
    }
}
